from numpy import *
from pylab import *

# Results for avidin-biotin complex 

Vfem = 45.3322*52.3234*68.3902 
Nfem = array([65*97*129,97*129*161,129*161*257,161*257*385,257*385*513])
Elfem = Nfem/Vfem

Elbem  = array([2.8, 4.1, 7.7, 15.1, 30.4])

# Ebind

EbindPyGmulti = array([133.14,102.81,96.24,89.95,90.08])
EbindPyGsingl = array([143.87,113,105.67,99.54,99.54])
EbindAPB = array([200.91,128.54,100.09,93.84,93.07])

font = {'family':'serif','size':7}
figure(figsize=(3,2), dpi=80)
rc('font',**font)
PyGbind_multi_ext = 93.7
PyGbind_single_ext= 101.29

xmax = Elfem[-1]*5
xmin = Elbem[0]/1.5

#### Binding energy
semilogx(Elbem, EbindPyGmulti, c='k', marker='o', mfc='w', ms=3,ls='-',lw=0.5, label='PyGBe multi')
semilogx(Elbem, EbindPyGsingl, c='k', marker='s', mfc='w', ms=3,ls='-',lw=0.5, label='PyGBe single')
semilogx(Elfem, EbindAPB, c='k', marker='^', mfc='w', ms=3,ls='-',lw=0.5, label='APBS')

semilogx([xmin,2500],PyGbind_multi_ext*ones(2), c='k', marker='', mfc='w', ms=1, ls='dotted',lw=0.2)
semilogx([xmin,2500],PyGbind_single_ext*ones(2), c='k', marker='', mfc='w', ms=1, ls='dotted',lw=0.2)
ylabel('$\Delta G_{bind}$ [kJ/mol]', fontsize=10)
xlabel('Mesh density',fontsize=10)
text(150,94,'PyGBe mult surf ext',fontsize=6,rotation=0)
text(50, 102,'PyGBe sing surf ext',fontsize=6,rotation=0)
subplots_adjust(left=0.22, bottom=0.21, right=0.96, top=0.95)
axis([xmin,2500,80,220])
legend(loc='upper right')
savefig('Ebind_pepRNA.pdf')
clf()

